
%global git_commit 49a5bc05d074ec53cb82c9f0e6240e34e360b2e8
%global git_hash %(c=%{git_commit}; echo ${c:0:7})
%define git_date 20140508

Name:    pam-kwallet
Summary: PAM module for KWallet
Version: 0
Release: 0.7.%{git_date}git%{git_hash}%{?dist}

License: LGPLv2+
URL:     http://www.kde.org/

# git clone git://anongit.kde.org/scratch/afiestas/pam-kwallet.git
# cd pam-kwallet && \
# git archive --prefix=pam-kwallet/ af786456bfa3402fc0a6f191f41686b2ab0b9005 | xz -9 > pam-kwallet-af786456.tar.xz
Source0: pam-kwallet-%{git_hash}.tar.xz

BuildRequires: cmake >= 2.8
BuildRequires: libgcrypt-devel >= 1.5.0
BuildRequires: pam-devel

# https://bugzilla.redhat.com/show_bug.cgi?id=1155873
Requires: socat

%description
%{summary}.


%prep
%setup -q -n %{name}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
/%{_lib}/security/pam_kwallet.so


%changelog
* Fri Dec 05 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.7.20140508git
- Requires: socat (#1155873)

* Thu Sep 25 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.6.20140508git49a5bc0
- 20140508 snapshot

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20140428gitaf786456
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20140428gitaf786456
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.3.20140428gitaf786456
- License: LGPLv2+

* Mon Apr 28 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.2.20140428gitaf786456
- 20140428 git snapshot

* Fri Apr 11 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.120140409git7604d424
- first try

